SDL_LoadPNG(3)

NAME
SDL_LoadPNG - Load a PNG image from a file.

SYNOPSIS
#include <SDL3/SDL_surface.h>

SDL_Surface * SDL_LoadPNG(const char *file);

DESCRIPTION
This is intended as a convenience function for loading images from trusted sources. If you want to load arbitrary images you should use libpng or another image loading library designed with security in mind.

The new surface should be freed with SDL_DestroySurface(). Not doing so will result in a memory leak.

FUNCTION PARAMETERS

file
    the PNG file to load.

RETURN VALUE
Returns a pointer to a new SDL_Surface structure or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.4.0.

SEE ALSO
SDL_DestroySurface(3), SDL_LoadPNG_IO(3), SDL_SavePNG(3)